Bug 1316211 - Section 8.1.1 of RHDS 10 documentation appears to point to the incorrect schema directory
Section 8.1.1 of RHDS 10 documentation appears to point to the incorrect sche...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Directory Server
Classification: Red Hat
Component: Doc-administration-guide (Show other bugs)
10.0
Unspecified Unspecified
high Severity medium
: ---
: ---
Assigned To: Petr Bokoc
Viktor Ashirov
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-09 12:06 EST by Andrew N
Modified: 2016-11-14 08:46 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-11-14 08:46:01 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrew N 2016-03-09 12:06:29 EST
Document URL: 
https://access.redhat.com/documentation/en-US/Red_Hat_Directory_Server/10/html/Administration_Guide/Extending_the_Directory_Schema.html#default-schema

Section Number and Name: 
8.1.1  Default Schema Files

Describe the issue: 

The paragraph in section 8.1.1 says that the schema files can be placed in /usr/lib64/dirsrv/slapd-instance/schema, however on a fresh RHDS 10 install here at a customer site this directory does not exist.  However /etc/dirsrv/slapd-instance/schema does and does contain LDAP schema files.

Suggestions for improvement: 
Point to /etc/dirsrv/slapd-instance/schema as opposed to /usr/lib64/dirsrv/slapd-instance/schema

Additional information:
Comment 5 Petr Bokoc 2016-03-11 08:46:04 EST
Alright, I fixed all instances in chapter 8 where the book was referring to /usr/lib64/dirsrv/slapd-instance/schema as the default instance schema directory.

Preview at: http://10.34.3.139:8080/view/Directory%20Server/job/doc-Red_Hat_Directory_Server-Administration_Guide%20%28html-single%29/lastSuccessfulBuild/artifact/tmp/en-US/html-single/index.html#default-schema

However, "/etc/dirsrv/slapd-instance" (one level above) appears a whole bunch of times in the book in other places and in slightly different context. For example, the book refers to it as a directory where some scripts are installed, e.g. "8.7.1. Reloading Schema Using schema-reload.pl" or "⁠9.3.1. Running the db2index.pl Script".

I'm not sure if that should be changed as well - I don't know if the whole default RHDS install path changed or if it's only specifically the default schema directory. I'll get a test instance running later and check everything. Moving to MODIFIED for now.
Comment 6 Petr Bokoc 2016-04-07 10:05:08 EDT
Right, I get it now. /usr/lib64/dirsrv/slapd-instance contains scripts, and schema configs are indeed in /etc/dirsrv/slapd-instance/schema. I'll need to go through all instances of "/usr/lib64/dirsrv" in all DS10 books and check what each one refers to.
Comment 7 Petr Bokoc 2016-05-17 07:42:45 EDT
Every occurence of these two directories in all RHDS10 books should be fine now.
Comment 9 Marc Muehlfeld 2016-11-14 08:46:01 EST
The updated documentation for Directory Server 10.1 is now available on the Customer Portal.

Note You need to log in before you can comment on or make changes to this bug.